Bug 28190 - Library limitation column not toggable on itemtypes table
Summary: Library limitation column not toggable on itemtypes table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 21946
Blocks: 23207
  Show dependency treegraph
 
Reported: 2021-04-21 19:04 UTC by Tomás Cohen Arazi
Modified: 2021-05-24 16:32 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06


Attachments
Bug 28190: Fix columns_settings.yml itemtypes entry (1.20 KB, patch)
2021-04-21 19:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28190: Fix columns_settings.yml itemtypes entry (1.23 KB, patch)
2021-04-21 19:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28190: Fix columns_settings.yml itemtypes entry (1.32 KB, patch)
2021-04-22 07:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-04-21 19:04:22 UTC
The columns_settings.yml section for itemtypes is missing an entry for the 'Parent code' column, and thus some columns are shifted, and it has the effect of preventing the 'Library limitations' column being toggable.
Comment 1 Tomás Cohen Arazi 2021-04-21 19:08:20 UTC
Created attachment 119964 [details] [review]
Bug 28190: Fix columns_settings.yml itemtypes entry

The parent_code column is missing on the columns_settings.yml file, so
columns are shifted and thus 'Library limitations' is not toggable.

To test:
1. Verify you are not offered the chance to hide the column
2. Apply this patch, restart all the things
=> SUCCESS: You can toggle the column
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Owen Leonard 2021-04-21 19:18:45 UTC
Created attachment 119965 [details] [review]
Bug 28190: Fix columns_settings.yml itemtypes entry

The parent_code column is missing on the columns_settings.yml file, so
columns are shifted and thus 'Library limitations' is not toggable.

To test:
1. Verify you are not offered the chance to hide the column
2. Apply this patch, restart all the things
=> SUCCESS: You can toggle the column
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2021-04-22 07:57:30 UTC
Created attachment 119984 [details] [review]
Bug 28190: Fix columns_settings.yml itemtypes entry

The parent_code column is missing on the columns_settings.yml file, so
columns are shifted and thus 'Library limitations' is not toggable.

To test:
1. Verify you are not offered the chance to hide the column
2. Apply this patch, restart all the things
=> SUCCESS: You can toggle the column
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2021-04-22 12:40:06 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-29 13:45:01 UTC
Pushed to 20.11.x for 20.11.06
Comment 6 Andrew Fuerste-Henry 2021-05-24 16:32:08 UTC
Missing dependency, not backported to 20.05